Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class DebuggerSupport.SlotSetter

    java.lang.Object
      com.sun.squawk.DebuggerSupport.StackInspector
          com.sun.squawk.DebuggerSupport.SlotSetter

Enclosing class:
  DebuggerSupport

    public abstract static class DebuggerSupport.SlotSetter

extends DebuggerSupport.StackInspector

A SlotSetter is a kind of StackInspector that can set the value of a slot

Field Summary

Fields inherited from class com.sun.squawk.DebuggerSupport.StackInspector
`doSlots, vmThread`

Constructor Summary
`protected` | `DebuggerSupport.SlotSetter(VMThread thread)` Constructor.

Method Summary
`abstract Object` | `newObjValue()` Returns the new reference value for the slot last checked by shouldSetSlot.
`abstract long` | `newPrimValue()` Returns the new primitive value for the slot last checked by shouldSetSlot.
`abstract boolean` | `shouldSetSlot(int slot, Klass type)` Should this slot be set?

Methods inherited from class com.sun.squawk.DebuggerSupport.StackInspector
`getResult, getTypeMap, inspectFrame, inspectSlot, inspectSlot, postInspection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebuggerSupport.SlotSetter

    protected DebuggerSupport.SlotSetter(VMThread thread)

  Constructor.

  Parameters:
    `thread` - the thread whose call stack is being inspected. This thread must be suspended at the time the inspection is performed.

Method Detail

### shouldSetSlot

    public abstract boolean shouldSetSlot(int slot,
                                          Klass type)

  Should this slot be set?

  Parameters:
    `slot` - the slot index
    `type` - the declared type of the slot
  Returns:
    true if the slot should be set

### newPrimValue

    public abstract long newPrimValue()

  Returns the new primitive value for the slot last checked by shouldSetSlot.

  Returns:
    new value

### newObjValue

    public abstract Object newObjValue()

  Returns the new reference value for the slot last checked by shouldSetSlot.

  Returns:
    new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"